org.keycloak.protocol.saml.mappers

## Class AttributeStatementHelper

- java.lang.Object
- - org.keycloak.protocol.saml.mappers.AttributeStatementHelper

-     public class AttributeStatementHelper
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ATTRIBUTE_STATEMENT_CATEGORY`
    `static String` | `BASIC`
    `static String` | `FRIENDLY_NAME`
    `static String` | `FRIENDLY_NAME_HELP_TEXT`
    `static String` | `FRIENDLY_NAME_LABEL`
    `static String` | `SAML_ATTRIBUTE_NAME`
    `static String` | `SAML_ATTRIBUTE_NAMEFORMAT`
    `static String` | `UNSPECIFIED`
    `static String` | `URI_REFERENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeStatementHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addAttribute(AttributeStatementType attributeStatement, ProtocolMapperModel mappingModel, String attributeValue)`
    `static ProtocolMapperModel` | `createAttributeMapper(String name, String userAttribute, String samlAttributeName, String nameFormat, String friendlyName, boolean consentRequired, String consentText, String mapperId)`
    `static AttributeType` | `createAttributeType(ProtocolMapperModel mappingModel)`
    `static void` | `setConfigProperties(List<ProviderConfigProperty> configProperties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SAML_ATTRIBUTE_NAME

          public static final String SAML_ATTRIBUTE_NAME

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_STATEMENT_CATEGORY

          public static final String ATTRIBUTE_STATEMENT_CATEGORY

      See Also:
        Constant Field Values

    - #### FRIENDLY_NAME

          public static final String FRIENDLY_NAME

      See Also:
        Constant Field Values

    - #### FRIENDLY_NAME_LABEL

          public static final String FRIENDLY_NAME_LABEL

      See Also:
        Constant Field Values

    - #### FRIENDLY_NAME_HELP_TEXT

          public static final String FRIENDLY_NAME_HELP_TEXT

      See Also:
        Constant Field Values

    - #### SAML_ATTRIBUTE_NAMEFORMAT

          public static final String SAML_ATTRIBUTE_NAMEFORMAT

      See Also:
        Constant Field Values

    - #### BASIC

          public static final String BASIC

      See Also:
        Constant Field Values

    - #### URI_REFERENCE

          public static final String URI_REFERENCE

      See Also:
        Constant Field Values

    - #### UNSPECIFIED

          public static final String UNSPECIFIED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AttributeStatementHelper

          public AttributeStatementHelper()

  - ### Method Detail

    - #### addAttribute

          public static void addAttribute(AttributeStatementType attributeStatement,
                                          ProtocolMapperModel mappingModel,
                                          String attributeValue)

    - #### createAttributeType

          public static AttributeType createAttributeType(ProtocolMapperModel mappingModel)

    - #### setConfigProperties

          public static void setConfigProperties(List<ProviderConfigProperty> configProperties)

    - #### createAttributeMapper

          public static ProtocolMapperModel createAttributeMapper(String name,
                                                                  String userAttribute,
                                                                  String samlAttributeName,
                                                                  String nameFormat,
                                                                  String friendlyName,
                                                                  boolean consentRequired,
                                                                  String consentText,
                                                                  String mapperId)

Copyright © 2016 JBoss by Red Hat. All rights reserved.